package com.yc.ship.module.resource.enums.guide;


import com.yc.ship.framework.common.core.IntArrayValuable;

import java.util.Arrays;

public enum GuideRefundStatusEnum implements IntArrayValuable {

    TAXI_INVOICE_STATUS_3(3, "驳回"),
    TAXI_INVOICE_STATUS_2(2, "审核通过"),
    TAXI_INVOICE_STATUS_1(1, "待审核"),
    TAXI_INVOICE_STATUS_0(0, "草稿"),


    APPLY_OPTION_3(3, "驳回"),
    APPLY_OPTION_2(2, "通过"),

    APPLY_STATUS_5(5, "退款中"),
    APPLY_STATUS_4(4, "已退款"),
    APPLY_STATUS_3(3, "驳回"),
    APPLY_STATUS_2(2, "通过"),
    APPLY_STATUS_1(1, "待审核"),
    APPLY_STATUS_0(0, "草稿"),

    REFUND_STATUS_1(1, "已退款"),
    REFUND_STATUS_0(0, "未退款");


    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(GuideRefundStatusEnum::getStatus).toArray();
    private final Integer status;
    private final String name;

    @Override
    public int[] array() {
        return ARRAYS;
    }


    public Integer getStatus() {
        return this.status;
    }

    public String getName() {
        return this.name;
    }

    private GuideRefundStatusEnum(Integer status, String name) {
        this.status = status;
        this.name = name;
    }
}
